#!/bin/sh

echo "Creating service file"
sudo echo -e "[Unit]\nDescription=Kisters ViewStation License Manager\n" > /etc/systemd/system/vslm.service
sudo echo -e "[Service]\nWorkingDirectory=$(pwd)\nExecStart=$(pwd)/VSLM\n" >> /etc/systemd/system/vslm.service
sudo echo -e "[Install]\nWantedBy=multi-user.target" >> /etc/systemd/system/vslm.service

echo "Reloading deamons"
sudo systemctl daemon-reload

echo "Enabling vslm service"
sudo systemctl enable vslm.service
sudo systemctl is-enabled vslm.service

echo "Starting vslm service"
sudo systemctl start vslm

echo "Use 'sudo systemctl status vslm' to see if the deamon is running"
